import { DetailedHTMLProps, HTMLAttributes } from "react";
import { twMerge } from "tailwind-merge";

/**
 * # Main Wrapper
 * @className twui-h1
 */
export default function Main({
    ...props
}: DetailedHTMLProps<HTMLAttributes<HTMLElement>, HTMLElement>) {
    return (
        <main
            {...props}
            className={twMerge(
                "flex flex-col items-center w-full",
                "twui-main",
                props.className
            )}
        >
            {props.children}
        </main>
    );
}
